Bug 1277667 - ISO domain can't be created
ISO domain can't be created
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage (Show other bugs)
4.0.0
Unspecified Unspecified
unspecified Severity high (vote)
: ovirt-4.0.0-alpha
: 4.0.0
Assigned To: Tal Nisan
Elad
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 14:23 EST by jniederm
Modified: 2016-07-05 04:04 EDT (History)
4 users (show)

See Also:
Fixed In Version: ovirt 4.0.0 alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-05 04:04:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.0.0+
rule-engine: planning_ack+
rule-engine: devel_ack+
acanan: testing_ack+


Attachments (Terms of Use)
browser stacktrace (5.79 KB, text/plain)
2015-11-03 14:23 EST, jniederm
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 48062 master MERGED Revert "engine: IntegerValidation refactor" Never
oVirt gerrit 48080 master ABANDONED webadmin: add parseShort to StringUtils 2016-05-09 01:40 EDT
oVirt gerrit 48081 master ABANDONED webadmin: Introduce ShortValidation 2016-05-09 01:40 EDT
oVirt gerrit 48082 master ABANDONED engine: IntegerValidation refactor 2016-05-09 01:40 EDT

  None (edit)
Description jniederm 2015-11-03 14:23:56 EST
Created attachment 1089182 [details]
browser stacktrace

Description of problem:
Adding of new ISO domain is failing.

Version-Release number of selected component (if applicable):
4.0 master, commit 5ecb518

How reproducible:
100%

Steps to Reproduce:
1. Open New Domain dialog
2. Set Domain Function: ISO
   Name
   Export Path
   Retransmissions: 1
   Timeout: 1
3. Click OK

Actual results:
Light red box notifying about frontend exception - java.lang.ClassCastException

Expected results:
ISO domain is created
Comment 1 Red Hat Bugzilla Rules Engine 2015-11-04 07:52:58 EST
Fixed bug tickets must have version flags set prior to fixing them. Please set the correct version flags and move the bugs back to the previous status after this is corrected.
Comment 2 Elad 2016-04-14 03:28:43 EDT
ISO domain created, attached to a DC and activated successfully using:
ovirt-engine-4.0.0-0.0.master.20160406161747.gita4ecba2.el7.centos.noarch
vdsm-4.17.999-917.gitc116919.el7.centos.noarch
Comment 3 Sandro Bonazzola 2016-07-05 04:04:05 EDT
oVirt 4.0.0 has been released, closing current release.

Note You need to log in before you can comment on or make changes to this bug.